Personal tools
You are here: Home Forum Other... (new forum, problems, etc.) SALOME version 9.2.0 is released!

SALOME version 9.2.0 is released!

Up to Other... (new forum, problems, etc.)

SALOME version 9.2.0 is released!

Posted by Site Administrator at December 21. 2018

Dear SALOME users,

CEA/DEN, EDF R&D and OPEN CASCADE are pleased to announce SALOME version 9.2.0.

It is a public release that contains results of planned improvements and bug fixes against SALOME version 8.5.0 released in August 2018.

Please visit news page (http://www.salome-platform.org/news) for more details or proceed to the download page (http://www.salome-platform.org/downloads) to get this release.

Regards,
SALOME site administrator.

 

Re: SALOME version 9.2.0 is released!

Posted by Saint Michael at December 21. 2018

Sorry,

Release notes in this page http://www.salome-platform.org/news/21-dec-2018-salome-version-9.2.0 are for 8.5.0.

St.Michael

Re: SALOME version 9.2.0 is released!

Posted by Site Administrator at December 21. 2018

Corrected, thanx!

Re: SALOME version 9.2.0 is released!

Posted by Mattia at December 29. 2018

Hello,

any ERD for win10 bins?

bye

mattia

Re: SALOME version 9.2.0 is released!

Posted by Site Administrator at December 29. 2018

Hello,

We believe to publish Windows binaries in early 2019.

Regards,
SALOME site administrator.

Previously Mattia wrote:

Hello,

any ERD for win10 bins?

bye

mattia

 

Re: SALOME version 9.2.0 is released!

Posted by Sergio Pluchinsky at December 31. 2018
Could it be that according to the 2018 roadmap this version should include the new Shaper cad module?
 
Best regards

Re: SALOME version 9.2.0 is released!

Posted by Christophe Trophime at January 03. 2019

For your info, the Universal binary installer display an error when installing (on some plateforms it seems to hang forever) :
see bellow fro Ubuntu Bionic (aka 18.04 LTS):

=======================================

Self Extracting Salome V9_2_0 Installer

=======================================

 

Salome is in English, do you want to be in French ? [y/N] : Installation of Salome V9_2_0 in /opt/salome/Salome-V9_2_0-univ_public ...

Verifying archive integrity...

All good.

Done                                                                       

Creating Salome application in /opt/salome/appli_V9_2_0 ...

chmod: cannot access '/root/.local/share/applications/Salome_V9_2_0.desktop': No such file or directory

Salome post-installation ...

Warning: the directory /opt/salome/Salome-V9_2_0-univ_public/prerequisites/Paraview-v560p1/lib/paraview-5.6/site-packages/vtk is in a path variable but does not exist

Traceback (most recent call last):

  File "./salome_post_install.py", line 323, in <module>

    substitute("GEOM", "${GEOM_ROOT_DIR}", files_to_substitute)

  File "./salome_post_install.py", line 52, in substitute

    sed_inplace(target_current, "__INSTALL_PATH__", d[key])

  File "./salome_post_install.py", line 24, in sed_inplace

    tmp_file.write(pattern_compiled.sub(repl, line))

  File "/opt/salome/Salome-V9_2_0-univ_public/prerequisites/Python-365/lib/python3.6/tempfile.py", line 483, in func_wrapper

    return func(*args, **kwargs)

UnicodeEncodeError: 'ascii' codec can't encode character '\u201c' in position 45: ordinal not in range(128)

The Salome application was successfully created.

 
Best
C

Re: SALOME version 9.2.0 is released!

Posted by Christophe Trophime at January 04. 2019

ParaView 5.6.0p1 required for Salome 9.2.0 is a patched version of the official 5.6.0 corresponding to git commit 7bafc2b
Is that right?

Re: SALOME version 9.2.0 is released!

Posted by Vadim SANDLER at January 09. 2019

Hello Christophe,

Thank you for detecting this problem. We believe to solve it soon and update the package.

Regards,
Vadim.

Previously Christophe Trophime wrote:

For your info, the Universal binary installer display an error when installing (on some plateforms it seems to hang forever) :
see bellow fro Ubuntu Bionic (aka 18.04 LTS):

=======================================

Self Extracting Salome V9_2_0 Installer

=======================================

 

Salome is in English, do you want to be in French ? [y/N] : Installation of Salome V9_2_0 in /opt/salome/Salome-V9_2_0-univ_public ...

Verifying archive integrity...

All good.

Done                                                                       

Creating Salome application in /opt/salome/appli_V9_2_0 ...

chmod: cannot access '/root/.local/share/applications/Salome_V9_2_0.desktop': No such file or directory

Salome post-installation ...

Warning: the directory /opt/salome/Salome-V9_2_0-univ_public/prerequisites/Paraview-v560p1/lib/paraview-5.6/site-packages/vtk is in a path variable but does not exist

Traceback (most recent call last):

  File "./salome_post_install.py", line 323, in <module>

    substitute("GEOM", "${GEOM_ROOT_DIR}", files_to_substitute)

  File "./salome_post_install.py", line 52, in substitute

    sed_inplace(target_current, "__INSTALL_PATH__", d[key])

  File "./salome_post_install.py", line 24, in sed_inplace

    tmp_file.write(pattern_compiled.sub(repl, line))

  File "/opt/salome/Salome-V9_2_0-univ_public/prerequisites/Python-365/lib/python3.6/tempfile.py", line 483, in func_wrapper

    return func(*args, **kwargs)

UnicodeEncodeError: 'ascii' codec can't encode character '\u201c' in position 45: ordinal not in range(128)

The Salome application was successfully created.

 
Best
C

 

Re: SALOME version 9.2.0 is released!

Posted by Vadim SANDLER at January 09. 2019

Yes, exactly.

Previously Christophe Trophime wrote:

ParaView 5.6.0p1 required for Salome 9.2.0 is a patched version of the official 5.6.0 corresponding to git commit 7bafc2b
Is that right?

 

Quick reply
URLs will be automatically hyperlinked. Basic HTML tags are OK.
Powered by Ploneboard
History
Activate by Site Administrator on Dec 21, 2018 09:05 PM
Document Actions